function ChamadaPadrao(form_id,btn_id,span_id,caminho){
	
    var formulario = document.getElementById(form_id);
    var formData = new FormData(formulario);
    let mensagem = '';
    $.ajax({
        url: "backend/config/processos/processos.php",
        type: "POST",
        data: formData,
        dataType: 'json',
        processData: false,  
        contentType: false,
        beforeSend: function(){
            $("#"+btn_id).attr("disabled", true);
            $("#"+span_id).html("<img src='utils/img/gifs.gif' width='15' height='15'/>");
        },   
        error: function(jqXHR, textStatus, errorThrown) {
            console.log('jqXHR: \n'+jqXHR);
            console.log('textStatus: \n'+textStatus);
            console.log('errorThrown: \n'+errorThrown);
            $("#"+btn_id).attr("disabled", false);
            $("#"+span_id).empty();
        },
        success: function(retorno){
             console.log(retorno);
            $("#"+btn_id).attr("disabled", false);
            $("#"+span_id).empty();
            if (retorno == true) {
					localStorage.setItem("status", "success");
					localStorage.setItem("msg", "ativa");
					localStorage.setItem("texto", "Ação realizada com sucesso!");				
					window.location.reload();
            }else{
					localStorage.setItem("status", "danger");
					localStorage.setItem("msg", "ativa");
					localStorage.setItem("texto", "Falha ao executar ação!");				
					window.location.reload();
            }
        }
    });
}

function excluir_padrao(tab,id){
    //let id = id; //padrao.getAttribute("data-padrao-id");
    //let tabela = tab; // padrao.getAttribute("data-padrao-tabela");
    let url = window.location.href;
	
    if (confirm("As informações serão excluídas permanentemente do sistema. \nDeseja continuar?")) {
        $.ajax({
            url: "backend/config/processos/excluir.php",
            type: "POST",
            data: {id,tab},
            dataType: 'json',  
            error: function(jqXHR, textStatus, errorThrown) {
                console.log('jqXHR: \n'+jqXHR);
                console.log('textStatus: \n'+textStatus);
                console.log('errorThrown: \n'+errorThrown);
            },
            success: function(retorno){
                // console.log(retorno);
                if (retorno == true) {
					
					localStorage.setItem("status", "success");
					localStorage.setItem("msg", "ativa");
					localStorage.setItem("texto", "Ação realizada com sucesso!");
					
					window.location.reload();
                }else{
					localStorage.setItem("status", "danger");
					localStorage.setItem("msg", "ativa");
					localStorage.setItem("texto", "Falha ao executar ação!");				
					window.location.reload();					
                }
            }
        });
    }
}

$('#form-deslogar').click(function() {
    //var formulario = document.getElementById('form_login');
   // var formData = new FormData(formulario);
    $.ajax({
        url: "backend/config/processos/logout.php",
        type: "POST",
        dataType: 'json',
        processData: false,  
        contentType: false,
        beforeSend: function(){
            $("#form-deslogar").attr("disabled", true);
            $("#form-deslogar").html("<img src='utils/img/gifs.gif' width='10' height='10'/>");
        },   
        error: function(jqXHR, textStatus, errorThrown) {
            console.log('jqXHR: \n'+jqXHR);
            console.log('textStatus: \n'+textStatus);
            console.log('errorThrown: \n'+errorThrown);
        },
        success: function(retorno){
                if (retorno == 3) {
					localStorage.setItem("status", "success");
					localStorage.setItem("msg", "ativa");
					localStorage.setItem("texto", "Logout com sucesso!");
					
                    window.location = 'index';
                }else{
                    window.location = 'dashboard';
				}
        }
    });
    return false;
});

function func(cor,texto){
			var placementFrom = "top";
			var placementAlign = "left";
			var state = cor;
			var style = "plain";
			var content = {};

			content.message = texto;
			content.title = 'Unidos Importados';
			if (style == "withicon") {
				content.icon = 'fa fa-bell';
			} else {
				content.icon = 'none';
			}
			content.url = '#';
			content.target = '_blank';

			$.notify(content,{
				type: state,
				placement: {
					from: placementFrom,
					align: placementAlign
				},
				time: 100,
			});
			localStorage.setItem("status", "");
			localStorage.setItem("msg", "negativo");
			localStorage.setItem("texto", "");
}

function getFileExtension2(filename) {
  var ab = filename.split('.').pop();
  if(ab == 'xml'){
	  
  }else{
	  document.getElementById('file_arquivo').value = '';
	  alert('Arquivo Invalido, insira um arquivo no formato XML.');
  }		  
}
function clickteste(){
	document.getElementById('BTNINPORT').style.display = 'none';
	document.getElementById('BTNINPORT10').style.display = 'block';						
}

function tes(){ $('#item').focus(''); }